Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1057637 - Provide before and after network setup hooks
Summary: Provide before and after network setup hooks
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 3.4.0
Assignee: Dan Kenigsberg
QA Contact: Martin Pavlik
URL:
Whiteboard: network
Depends On:
Blocks: 1058707 rhev3.4beta 1142926
TreeView+ depends on / blocked
 
Reported: 2014-01-24 14:22 UTC by Dave Sullivan
Modified: 2018-12-04 17:08 UTC (History)
11 users (show)

Fixed In Version: ovirt-3.4.0-beta3
Doc Type: Bug Fix
Doc Text:
VDSM now provides before and after setup network hooks.
Clone Of:
: 1058707 (view as bug list)
Environment:
Last Closed: 2014-06-09 13:28:06 UTC
oVirt Team: Network


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:0504 normal SHIPPED_LIVE vdsm 3.4.0 bug fix and enhancement update 2014-06-09 17:21:35 UTC
oVirt gerrit 23660 None None None Never
oVirt gerrit 23672 None None None Never

Description Dave Sullivan 2014-01-24 14:22:17 UTC
Description of problem:

Currently rhev networking excludes support for ethtool_opts and bridging_opts and sometines has issues with nic enumeration.

Having an after network setup hook allows customers to customize anything in the networking space.


Version-Release number of selected component (if applicable):


3.3.0

This is sort of an RFE, but since we had discussed this with a lead networking engineer and approved it, it's in 3.4.0 upstream, we wanted to get into 3.3.1 zstream.


http://gerrit.ovirt.org/#/q/status:open+project:vdsm+branch:ovirt-3.3+topic:setup_network_hooks,n,z

Comment 2 Dan Kenigsberg 2014-01-27 15:19:58 UTC
The patches are already rhev-3.4, by virtue of ovirt-3.4 rebase.

Comment 3 Dan Kenigsberg 2014-01-28 12:02:10 UTC
Already merged into ovirt-3.4.

Comment 5 Kiril Nesenko 2014-02-16 12:36:24 UTC
Hello Dan,

Can you add a tracker to the patches ? I am trying to find out if we included this bug in our first d/s vdsm build for 3.4

- Kiril

Comment 6 Dan Kenigsberg 2014-02-17 09:18:46 UTC
commit 65181adf04a2a129617194845ee67d3822ee84b6
Author: Miguel Angel Ajo <miguelangel@ajo.es>
Date:   Thu Oct 10 06:46:12 2013 -0400

    vdsm hooks: this patch provides after/before_network_setup hooks.
    
    Change-Id: Iac5c6f57b300b3b1a2a9bfad4a7919f4d8a74707

Comment 8 Dan Kenigsberg 2014-02-19 14:58:48 UTC
Bug added to http://www.ovirt.org/OVirt_3.4.0_release_notes#VDSM

Comment 11 Martin Pavlik 2014-02-27 09:09:53 UTC
verfied  oVirt Engine Version: 3.4.0-0.11.beta3.el6

Comment 12 errata-xmlrpc 2014-06-09 13:28:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-0504.html


Note You need to log in before you can comment on or make changes to this bug.